Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 127395 - net-zope/CPS (new package)
Summary: net-zope/CPS (new package)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.cps-project.org/
Whiteboard: sunrise suggested
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2006-03-24 00:30 UTC by gerardo@gnuardo.com
Modified: 2012-03-01 15:47 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
CPS-3.4.0.ebuild (CPS-3.4.0.ebuild,1.09 KB, text/plain)
2006-03-24 00:31 UTC, gerardo@gnuardo.com
Details
CPS-3.4.0-r1 ebuild (CPS-3.4.0-r1.ebuild,1.32 KB, text/plain)
2006-06-22 12:53 UTC, gerardo@gnuardo.com
Details
CPS-3.4.2.ebuild (CPS-3.4.2.ebuild,1.25 KB, text/plain)
2006-09-06 02:03 UTC, gerardo@gnuardo.com
Details
CPS-3.4.4.ebuild (CPS-3.4.4.ebuild,2.58 KB, text/plain)
2007-06-26 09:49 UTC, gerardo@gnuardo.com
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gerardo@gnuardo.com 2006-03-24 00:30:33 UTC
New ebuild for this software.
I'm attaching the ebuild I created to my company for the CPS ECM Framework.

There is one problem (know ;) with this ebuild:
 1) I don't know to handle "MYDOC" for CPS.

I'm waiting for your ideas.
Comment 1 gerardo@gnuardo.com 2006-03-24 00:31:38 UTC
Created attachment 82985 [details]
CPS-3.4.0.ebuild

This is my first ebuild ;)
Comment 2 gerardo@gnuardo.com 2006-06-22 12:53:38 UTC
Created attachment 89836 [details]
CPS-3.4.0-r1 ebuild

New ebuild version:
 * Fixed automatic author's homepage download.
 * New CPSSchemas dependency (dev-python/imaging) (thanks to Juan Lago).
Comment 3 Daniel Tourde 2006-06-29 06:08:37 UTC
Hello,

I am trying to install CPS on my x86 box. I put your ebuild under /ur/local/portage/www-apps/CPS and I have a problem when I try to generate the manifests for your ebuild:

paris CPS # ebuild  CPS-3.4.0-r1.ebuild  digest
Appending /usr/local/portage to PORTDIR_OVERLAY...
: command not foundwww-apps/CPS/CPS-3.4.0-r1.ebuild: line 4:

!!! ERROR: www-apps/CPS-3.4.0-r1 failed.
Call stack:
  ebuild.sh, line 1447:   Called source '/usr/local/portage/www-apps/CPS/CPS-3.4.0-r1.ebuild'
' CPS-3.4.0-r1.ebuild, line 5:   Called inherit 'zproduct
  ebuild.sh, line 1182:   Called die

.eclass could not be found by inherit()
!!! If you need support, post the topmost build error, and the call stack if relevant.


aux_get(): (0) Error in www-apps/CPS-3.4.0-r1 ebuild. (1)
               Check for syntax error or corruption in the ebuild. (--debug)
                                                    

Any idea?                          
Comment 4 gerardo@gnuardo.com 2006-09-06 02:03:51 UTC
Created attachment 96152 [details]
CPS-3.4.2.ebuild

*CPS-3.4.2 (6 9 2006)
 6 9 1006; Gerardo Puerta (gerardo.puerta@iavante.es) and Juan Lago (juan.lago@iavante.es) from IAVANTE Foundation.
 Added new generic dependency epoz.
 Added BayesCore CPSDashboard ZMInstronspection doc products
 Removed CMFQuickInstallerTools product.

About the error reported by Daniel Tourde:
The error was inherited from the eclass zproduct. So because they fixed that class, this ebuild work correctly. 
Anyway thanks for your colaboration.
Comment 5 Daniel Tourde 2006-10-03 04:47:22 UTC
Gerardo,

Did you see the latest move of Nuxeo?
They are planning to release in November Nuxeo 5 (former CPS) which is... a Java application...

What do you think about it? 

Daniel
Comment 6 Daniel Tourde 2006-10-03 06:05:39 UTC
Now I will put a brown paperbag on my head and ask my 1 cent question...
How do I start CPS?

I have understood so far that I needed a working zope session (so I used zope-config to start zope-2.9.4) but after that? What do I do?

Some ebuilds have a configuration command (econfig if my memory do not betray me but I am not so sure, right now) that simply takes care of all the configuration / start procedures automatically. Can't something like this be added to this ebuild?

PHP applications use the webapp-config procedure to manage their installation on the Apache server (see phpmyadmin, phppgadmin, viewcvs, htdig etc etc...). CPS IS a web application. Can't something similar be developed for brainless, time limited and paperbagged people like me... ;)

Daniel 
Comment 7 gerardo@gnuardo.com 2007-06-26 09:49:05 UTC
Created attachment 123091 [details]
CPS-3.4.4.ebuild
Comment 8 gerardo@gnuardo.com 2007-06-26 10:15:34 UTC
Daniel:
I think Nuxeo want to improve their plattform more quickly and focus only on important things to them and not on the underlying technology. 
... and also leave ZopeDB problems.

(In reply to comment #5)
Comment 9 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-04 16:07:08 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 10 Patrick Lauer gentoo-dev 2012-03-01 15:47:50 UTC
zope has been removed, thus zope deps won't be added